org.jbpm.process.instance.event.listeners

## Class MarshalVariablesProcessEventListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.process.instance.event.listeners.MarshalVariablesProcessEventListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener

      public class MarshalVariablesProcessEventListener
      extends org.kie.api.event.process.DefaultProcessEventListener

  Process event listener to be used with plugable variable strategies to make sure that upon process instance completion process variables will be persisted in back end store. This is important as by default this was not required because process instance (that contains all variables) was removed from db any way and thus there was no need to trigger marshaling. In case of external data store (e.g. data base over JPA or CMIS) this must be invoked otherwise data in external system might not be up to date with processing outcome from process instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarshalVariablesProcessEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onMessage, onSignal`

- - ### Constructor Detail

    - #### MarshalVariablesProcessEventListener

          public MarshalVariablesProcessEventListener()

  - ### Method Detail

    - #### afterProcessCompleted

          public void afterProcessCompleted(org.kie.api.event.process.ProcessCompletedEvent event)

      Specified by:
        `afterProcessCompleted` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `afterProcessCompleted` in class `org.kie.api.event.process.DefaultProcessEventListener`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.